Subject: bug#16265: 24.3.50; re-search-forward (error "Invalid search bound (wrong side of point)")

From: Keith David Bershatsky <[email-masked]>
Date: Wed, 01 Jan 2014 17:30:12 -0800

Yes, the issue has indeed been resolved in the latest version of Emacs Trunk that I built today.  I used my example to conduct the test, and it works now with `cache-long-scans` enabled.

Great job -- thank you Eli, and thanks again Nicolas!

Keith

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

At Wed, 01 Jan 2014 19:50:12 +0200,
Eli Zaretskii wrote:
> 
> > Date: Tue, 31 Dec 2013 09:37:15 -0800
> > From: Keith David Bershatsky <[email-masked]>
> > Cc: [email-masked]
> > 
> > So my recommendation would be that the Emacs team return the default value of `cache-long-scans` to `nil`
> 
> Unlikely to happen.
> 
> > or, fix it somehow so that it doesn't interfere with popular functions like `re-search-forward` and `re-search-backward` after calling `org-capture`.
> 
> I think I fixed this in trunk revision 115826, please try the latest
> version of the code.  (I only verified that the simplified test case
> works after the fix.)
> 
> Thanks.